summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDavid Seifert <soap@gentoo.org>2016-01-14 19:30:43 +0100
committerDavid Seifert <soap@gentoo.org>2016-01-14 19:31:02 +0100
commit6ffa68b51d52e48b2913c94e2eefbc535ec4b61f (patch)
tree48beabccafe186f8cb7f8247b57abc90ccd71fc7 /net-ftp/atftp
parentsys-fs/btrfs-progs: Clarify meaning of static USE flag (diff)
downloadgentoo-6ffa68b51d52e48b2913c94e2eefbc535ec4b61f.tar.gz
gentoo-6ffa68b51d52e48b2913c94e2eefbc535ec4b61f.tar.bz2
gentoo-6ffa68b51d52e48b2913c94e2eefbc535ec4b61f.zip
net-ftp/atftp: Add missing die, format patch for -p1, EAPI=6
Package-Manager: portage-2.2.26
Diffstat (limited to 'net-ftp/atftp')
-rw-r--r--net-ftp/atftp/atftp-0.7-r5.ebuild (renamed from net-ftp/atftp/atftp-0.7-r4.ebuild)44
-rw-r--r--net-ftp/atftp/files/atftp-0.7-CFLAGS.patch32
-rw-r--r--net-ftp/atftp/files/atftp-0.7-illreply.patch4
3 files changed, 55 insertions, 25 deletions
diff --git a/net-ftp/atftp/atftp-0.7-r4.ebuild b/net-ftp/atftp/atftp-0.7-r5.ebuild
index 44e2e252214..3e5bb461957 100644
--- a/net-ftp/atftp/atftp-0.7-r4.ebuild
+++ b/net-ftp/atftp/atftp-0.7-r5.ebuild
@@ -2,16 +2,16 @@
# Distributed under the terms of the GNU General Public License v2
# $Id$
-EAPI=5
-inherit eutils flag-o-matic systemd
+EAPI=6
+inherit autotools flag-o-matic systemd
DEBIAN_PV="11"
-DEBIAN_A="${PN}_${PV}-${DEBIAN_PV}.diff.gz"
+DEBIAN_A="${PN}_${PV}-${DEBIAN_PV}.diff"
DESCRIPTION="Advanced TFTP implementation client/server"
HOMEPAGE="ftp://ftp.mamalinux.com/pub/atftp/"
SRC_URI="ftp://ftp.mamalinux.com/pub/atftp/${P}.tar.gz
- mirror://debian/pool/main/a/${PN}/${DEBIAN_A}"
+ mirror://debian/pool/main/a/${PN}/${DEBIAN_A}.gz"
LICENSE="GPL-2"
SLOT="0"
@@ -26,26 +26,28 @@ RDEPEND="${DEPEND}
!net-ftp/tftp-hpa
selinux? ( sec-policy/selinux-tftp )"
+PATCHES=(
+ "${WORKDIR}/${DEBIAN_A}"
+ "${FILESDIR}/${P}-pcre.patch"
+ "${FILESDIR}/${P}-password.patch"
+ "${FILESDIR}/${P}-tests.patch"
+ "${FILESDIR}/${P}-glibc24.patch"
+ "${FILESDIR}/${P}-blockno.patch"
+ "${FILESDIR}/${P}-spaced_filename.patch"
+ "${FILESDIR}/${P}-illreply.patch"
+ "${FILESDIR}/${P}-CFLAGS.patch"
+)
+
src_prepare() {
+ append-cppflags -D_REENTRANT -DRATE_CONTROL
# fix #561720 by restoring pre-GCC5 inline semantics
append-cflags -std=gnu89
- epatch "${DISTDIR}"/${DEBIAN_A}
- epatch "${FILESDIR}"/${P}-pcre.patch
- epatch "${FILESDIR}"/${P}-password.patch
- epatch "${FILESDIR}"/${P}-tests.patch
- epatch "${FILESDIR}"/${P}-glibc24.patch
- epatch "${FILESDIR}"/${P}-blockno.patch
- epatch "${FILESDIR}"/${P}-spaced_filename.patch
- epatch "${FILESDIR}"/${P}-illreply.patch
- # remove upstream's broken CFLAGS
- sed -i.orig -e \
- '/^CFLAGS="-g -Wall -D_REENTRANT"/s,".*","",g' \
- "${S}"/configure || die
+ default
+ eautoreconf
}
src_configure() {
- append-flags -D_REENTRANT -DRATE_CONTROL
econf \
$(use_enable tcpd libwrap) \
$(use_enable readline libreadline) \
@@ -53,12 +55,8 @@ src_configure() {
--enable-mtftp
}
-src_compile() {
- emake CFLAGS="${CFLAGS}"
-}
-
src_install() {
- emake install DESTDIR="${D}"
+ default
newinitd "${FILESDIR}"/atftp.init atftp
newconfd "${FILESDIR}"/atftp.confd atftp
@@ -70,6 +68,6 @@ src_install() {
dodoc "${S}"/docs/*
docinto test
- cd "${S}"/test
+ cd "${S}"/test || die
dodoc load.sh mtftp.conf pcre_pattern.txt test.sh test_suite.txt
}
diff --git a/net-ftp/atftp/files/atftp-0.7-CFLAGS.patch b/net-ftp/atftp/files/atftp-0.7-CFLAGS.patch
new file mode 100644
index 00000000000..566c1791c59
--- /dev/null
+++ b/net-ftp/atftp/files/atftp-0.7-CFLAGS.patch
@@ -0,0 +1,32 @@
+--- atftp-0.7/configure.ac
++++ atftp-0.7/configure.ac
+@@ -66,29 +66,6 @@
+ dnl Check for AIX
+ AC_AIX
+
+-CFLAGS="-g -Wall -D_REENTRANT"
+-
+-if test x$debug = xtrue; then
+- CFLAGS="$CFLAGS -O0 -DDEBUG"
+-else
+- if test -n "$auto_cflags"; then
+- if test -n "$GCC"; then
+- CFLAGS="$CFLAGS -g -O2 -Wall -Wno-implicit"
+- else
+- case "$host_os" in
+- *hpux*) CFLAGS="$CFLAGS +O3"
+- ;;
+- *ultrix* | *osf*) CFLAGS="$CFLAGS -O -Olimit 2000"
+- ;;
+- *) CFLAGS="$CFLAGS -O2"
+- ;;
+- esac
+- fi
+- else
+- CFLAGS="$CFLAGS -O2"
+- fi
+-fi
+-
+ AC_PROG_MAKE_SET
+ AC_PROG_INSTALL
+
diff --git a/net-ftp/atftp/files/atftp-0.7-illreply.patch b/net-ftp/atftp/files/atftp-0.7-illreply.patch
index e18bbd99c9e..0f1cacd9b95 100644
--- a/net-ftp/atftp/files/atftp-0.7-illreply.patch
+++ b/net-ftp/atftp/files/atftp-0.7-illreply.patch
@@ -1,5 +1,5 @@
-*** tftp_def.old.c 2009-02-28 17:56:12.000000000 +0100
---- tftp_def.c 2009-02-28 17:57:02.000000000 +0100
+*** atftp-0.7/tftp_def.old.c 2009-02-28 17:56:12.000000000 +0100
+--- atftp-0.7/tftp_def.c 2009-02-28 17:57:02.000000000 +0100
***************
*** 141,146 ****
--- 141,147 ----